> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetodesk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ticket fields

> Lists the custom ticket fields in the workspace, ordered by their display order.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/fields.yaml GET /fields
openapi: 3.0.3
info:
  title: NeetoDesk Ticket Fields APIs
  version: 2.0.0
servers:
  - description: NeetoDesk APIs
    url: https://{your-subdomain}.neetodesk.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Ticket Fields
    description: APIs to manage custom ticket fields in the workspace.
paths:
  /fields:
    get:
      tags:
        - Ticket Fields
      summary: List all ticket fields
      description: >-
        Lists the custom ticket fields in the workspace, ordered by their
        display order.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/page_number_param'
        - $ref: '#/components/parameters/page_size_param'
        - in: query
          name: state
          description: >-
            Filter fields by their state. Fields of all states are returned when
            omitted.
          required: false
          schema:
            type: string
            enum:
              - active
              - inactive
            example: active
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/field_list_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    page_number_param:
      in: query
      name: page_number
      description: >-
        Retrieve paginated results by specifying the desired page number. If
        this parameter is absent, all results will be returned.
      required: false
      schema:
        type: integer
    page_size_param:
      in: query
      name: page_size
      description: >-
        Set the number of results returned in the response. Defaulting to 30
        when omitted.
      required: false
      schema:
        type: integer
  schemas:
    field_list_response:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/field'
        pagination:
          $ref: '#/components/schemas/Pagination'
    field:
      type: object
      properties:
        id:
          type: string
          example: aaaabbbb-cccc-dddd-eeee-ffff00003333
        name:
          type: string
          example: Browser
        kind:
          type: string
          description: Type of the field. It cannot be changed after the field is created.
          enum:
            - text
            - textarea
            - integer
            - decimal
            - date
            - checkbox
            - single_option
            - multi_option
          example: single_option
        state:
          type: string
          description: Fields in the `inactive` state are hidden from agents and customers.
          enum:
            - active
            - inactive
          example: active
        resource_type:
          type: string
          description: Resource the field belongs to. Always `ticket`.
          example: ticket
        is_required:
          type: boolean
          description: Whether customers must fill this field while submitting a ticket.
          example: false
        is_required_for_agent_when_submitting_form:
          type: boolean
          description: Whether agents must fill this field while creating a ticket.
          example: false
        is_required_for_agent_when_closing_ticket:
          type: boolean
          description: Whether agents must fill this field before closing a ticket.
          example: false
        display_order:
          type: integer
          description: Position of the field in the list of ticket fields.
          example: 3
        placeholder_slug:
          type: string
          nullable: true
          description: >-
            Slug used to refer to the field in placeholders and automations, as
            `{{ticket.custom_fields.<placeholder_slug>}}`. Generated from the
            name when the field is created, and not regenerated when the field
            is renamed.
          example: browser
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'
        options:
          type: array
          description: >-
            Available options of the field. Returned only for `single_option`
            and `multi_option` fields.
          items:
            $ref: '#/components/schemas/field_option'
    Pagination:
      type: object
      properties:
        total_records:
          type: integer
          example: 95
        total_pages:
          type: integer
          example: 4
        current_page_number:
          type: integer
          example: 1
        page_size:
          type: integer
          example: 30
    date_time_field:
      type: string
      format: date-time
    field_option:
      type: object
      properties:
        id:
          type: string
          example: aaaabbbb-cccc-dddd-eeee-ffff00004444
        label:
          type: string
          example: Chrome
        display_order:
          type: integer
          example: 0

````